%{?nodejs_find_provides_and_requires}

%global packagename htmlescape
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.1.1
Release: 1%{?dist}.3
Summary: Properly escape JSON for usage as an object literal inside of a <script> tag
License: MIT
URL: https://github.com/zertosh/htmlescape
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.0.0
%endif

%description
Properly escape JSON for usage as an object literal inside of a <script> tag.
Use htmlescape in place of JSON.stringify.
For more info see:
http://timelessrepo.com/json-isnt-a-javascript-subset


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep --dev tape '>=3.0.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tape test/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Initial package.
